aboutsummaryrefslogtreecommitdiff
path: root/cddl/usr.sbin/dtrace/tests/tools/exclude.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cddl/usr.sbin/dtrace/tests/tools/exclude.sh')
-rwxr-xr-xcddl/usr.sbin/dtrace/tests/tools/exclude.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/cddl/usr.sbin/dtrace/tests/tools/exclude.sh b/cddl/usr.sbin/dtrace/tests/tools/exclude.sh
index db5796039a0d..5767865429e8 100755
--- a/cddl/usr.sbin/dtrace/tests/tools/exclude.sh
+++ b/cddl/usr.sbin/dtrace/tests/tools/exclude.sh
@@ -23,7 +23,22 @@
exclude()
{
- eval $1=\"\$$1\\n$2\"
+ case $2 in
+ # Handle globbing later
+ *"*"*) ;;
+ # No globbing needed
+ *)
+ eval $1=\"\$$1\\n$2\"
+ return
+ ;;
+ esac
+ for file in ${TESTBASE}/${2}; do
+ case ${file} in
+ # Invalid glob
+ "${TESTBASE}/${2}") echo "Invalid exclude for $2" >&2; exit 1; ;;
+ esac
+ exclude "$1" "${file##${TESTBASE}/}"
+ done
}
exclude EXFAIL common/aggs/tst.subr.d